組織を取得する
名前空間: microsoft.graph
現在認証されている組織のプロパティとリレーションシップを取得します。
organization リソースは 拡張機能をサポートしているため、GET 操作を使用して、organization インスタンスでカスタム プロパティと拡張機能データを取得することもできます。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | User.Read、Organization.Read.All、Directory.Read.All、Organization.ReadWrite.All、Directory.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | Organization.Read.All、Directory.Read.All、Organization.ReadWrite.All、Directory.ReadWrite.All |
注: User.Read アクセス許可を付与されたアプリケーションは、組織の id、displayName、および verifiedDomains プロパティのみを読み取ることができます。 他のすべてのプロパティは
null値を返します。 すべてのプロパティを読み取るには、Organization.Read.All を使用します。
HTTP 要求
GET /organization
オプションのクエリ パラメーター
このメソッドは、応答をカスタマイズするための OData クエリ パラメーターをサポートします。
要求ヘッダー
| 名前 | 説明 |
|---|---|
| Authorization | ベアラー {token}。必須。 |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは 200 OK 応答コードと、応答本文で 1 つの organization オブジェクトのコレクションを返します。
例
要求
以下は、要求の例です。
GET https://graph.microsoft.com/v1.0/organization/84841066-274d-4ec0-a5c1-276be684bdd3
応答
以下に応答の例を示します。注: ここに示す応答オブジェクトは、読みやすさのために短縮されている可能性があります。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#organization/$entity",
"id": "84841066-274d-4ec0-a5c1-276be684bdd3",
"deletedDateTime": null,
"businessPhones": [
"425-555-0100"
],
"city": null,
"country": null,
"countryLetterCode": "NL",
"createdDateTime": "2021-08-02T10:30:06Z",
"displayName": "Contoso",
"isMultipleDataLocationsForServicesEnabled": null,
"marketingNotificationEmails": [],
"onPremisesLastSyncDateTime": null,
"onPremisesSyncEnabled": null,
"postalCode": null,
"preferredLanguage": "en",
"securityComplianceNotificationMails": [],
"securityComplianceNotificationPhones": [],
"state": null,
"street": null,
"technicalNotificationMails": [
"admin@contoso.com"
],
"tenantType": "AAD",
"directorySizeQuota": {
"used": 698,
"total": 50000
},
"assignedPlans": [
{
"assignedDateTime": "2022-04-03T02:46:42Z",
"capabilityStatus": "Deleted",
"service": "Adallom",
"servicePlanId": "932ad362-64a8-4783-9106-97849a1a30b9"
},
{
"assignedDateTime": "2022-04-03T02:46:42Z",
"capabilityStatus": "Deleted",
"service": "MultiFactorService",
"servicePlanId": "8a256a2b-b617-496d-b51b-e76466e88db0"
},
{
"assignedDateTime": "2021-08-02T10:36:57Z",
"capabilityStatus": "Enabled",
"service": "exchange",
"servicePlanId": "113feb6c-3fe4-4440-bddc-54d774bf0318"
},
{
"assignedDateTime": "2021-08-02T10:36:02Z",
"capabilityStatus": "Deleted",
"service": "SCO",
"servicePlanId": "882e1d05-acd1-4ccb-8708-6ee03664b117"
}
],
"privacyProfile": {
"contactEmail": "",
"statementUrl": ""
},
"provisionedPlans": [
{
"capabilityStatus": "Deleted",
"provisioningStatus": "Success",
"service": "Adallom"
},
{
"capabilityStatus": "Enabled",
"provisioningStatus": "Success",
"service": "exchange"
}
],
"verifiedDomains": [
{
"capabilities": "Email, OfficeCommunicationsOnline",
"isDefault": true,
"isInitial": true,
"name": "Contoso.com",
"type": "Managed"
}
]
}
フィードバック
フィードバックの送信と表示